<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN">
<html lang="fr-ch">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="author" content="Bernard Gisin">
<meta name="Description" content="tests">
<meta name="KeyWords" content="">

<title>Test Rcepteur POST</title>
</head>
<body>
<p>
Exemple de rception de paramtre d'une page Web, utilisant la mthode POST.
</p>
<?php
// 1) Rcupration des donnes
//============================
if (!isset($_POST['param1'])) { $Param1 = '!'; }
else { $Param1 = htmlspecialchars($_POST['param1']); }

if (!isset($_POST['param2'])) { $Param2 = 'NON'; }
else {$Param2 = 'OUI'; }

if (!isset($_POST['param3'])) { $Param3 = 'NON'; }
else {$Param3 = 'OUI'; }

if (!isset($_POST['param4'])) { $Param4 = '';} // Aucun texte tap
else {$Param4 = htmlspecialchars($_POST['param4'], (int) ENT_SUBSTITUTE, "iso-8859-1"); }
// nl2br conserve les sauts de lignes.
// C.f. http://php.net/manual/fr/function.nl2br.php
// str_replace('\n','<br/>',$_POST['param4'])  devrait aussi fonctionner

// 2) Test de validit de l'adresse e-mail
//========================================
// Tester une adresse e-mail en PHP :
// http://www.destrucsaweb.com/ressources/phpmyannu/goto_37.php
// if( preg_match("^[_\.0-9a-z-]+@([0-9a-z-]+\.)+[a-z]{2,4}$",$email) ) 
// c.f. aussi : http://www.destrucsaweb.com/ressources/phpmyannu/goto_94.php
// Il faut remplacer "ergei" par "preg_match".

$Syntaxe='#^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,6}$#'; 
if (preg_match($Syntaxe,$Param1)) 
   echo 'Adresse e-mail VALIDE.<br>'; 
else 
   echo 'Adresse e-mail NON valide.<br>'; 

// 3) Affichage des donnes
//=========================
echo 'Votre adresse e-mail est : ' . $Param1 . '<br>';
echo 'Valeurs des cases  cocher : ' . $Param2 . '  et  '. $Param3 . '<br>';
echo '<br>';
echo 'Texte envoy :<br>' . nl2br($Param4) . '<br>';
echo '<br>';

// 4) Envoi de l'e-mail  une ou deux personnes
//=============================================
// Envoi d'un e-mail en PHP :
// boolean mail( string destinataire(s) , string objet, string message 
//                 [, string additional_headers [, string options]])
// C.f. http://php.net/manual/fr/function.mail.php
// C.f. http://www.vulgarisation-informatique.com/mail.php
// C.f. http://www.siteduzero.com/tutoriel-3-35146-e-mail-envoyer-un-e-mail-en-php.html
// C.f. http://www.destrucsaweb.com/ressources/phpmyannu/goto_47.php

//$boundary = "-----=" . md5(rand());
$sujet = "Essai d'envoi d'e-mail par formulaire et PHP.";

// Envoie de l'e-mail  Bernard et envoie d'une copie  l'expditeur, si dsir
// Cration du header de l'e-mail
$header = "From: " . $Param1 . "\r\n";
$header.= "Reply-to: " . $Param1 . "\r\n";
$header.= "MIME-Version: 1.0\r\n";
//$header.= "Content-Type: multipart/alternative;\n boundary=\"$boundary\"\r\n";
//$header.= "Content-Type: text/html; charset=\"iso-8859-1\"\n boundary=\"$boundary\"\r\n";
$header.= "Content-Type: text/plain; charset=iso-8859-1\r\n";
$header.='Content-Transfer-Encoding: 8bit\r\n'; 
$header.= "X-Mailer: PHP/" . phpversion() . "\r\n";
//$header.= "boundary=\"$boundary\"\r\n\n";

// Cration du message
$message = "";
//$message.= "\n--" . $boundary . "\n";
//$message.= "Content-Type: text/plain;\n";
//$message.= "Content-Transfer-Encoding: 8bit\n";
$message.= "\n" . $Param4 . "\n";
//$message.= "\n--" . $boundary . "--\n";

// Dans le cas o les lignes comportent plus de 70 caractres, 
// on les coupons en utilisant wordwrap()
$message = wordwrap($message, 70);

$mail  = "bernard.gisin@sunrise.ch";
// Envoie de l'e-mail  l'expditeur, si il le dsire
if ($Param2 == 'OUI') { $mail.= ', ' . $Param1; }
  
// Envoi de l'e-mail
if ($Param3 == 'OUI') {
 if (mail($mail, $sujet, $message, $header)) { echo "Bien envoy.<br><br>"; }
 else { echo "Le message n'a pas pu tre envoy, pour une raison inconnue.<br><br>"; }
 }
 
// Affichage de ce qui a t envoy
echo "Le message est : <br>";
echo "Destinataire(s) =" . $mail . "<br>";
echo nl2br(htmlspecialchars( $sujet . "\n" . $header  . 
                             "\n" . $message . "\n", (int) ENT_SUBSTITUTE, "iso-8859-1"));

?>
<br>
<a href='emetteur.html'>Retour  l'metteur</a>.
</body>
</html>
